Package | Class | Tree | Deprecated | Index | Help
| JMS 1.1 - April 12, 2002
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Class MessageNotWriteableException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.jms.JMSException
                        |
                        +--javax.jms.MessageNotWriteableException

All Implemented Interfaces:
  java.io.Serializable

public class MessageNotWriteableException
extends JMSException

This exception must be thrown when a JMS client attempts to write to a read-only message.

Version:
  26 August 1998
Author:
  Rahul Sharma
See Also:
  Serialized Form

Constructor Summary
`MessageNotWriteableException(java.lang.String reason)` Constructs a `MessageNotWriteableException` with the specified reason.
`MessageNotWriteableException(java.lang.String reason, java.lang.String errorCode)` Constructs a `MessageNotWriteableException` with the specified reason and error code.

Methods inherited from class javax.jms.JMSException
`getErrorCode, getLinkedException, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageNotWriteableException

    public MessageNotWriteableException(java.lang.String reason,
                                        java.lang.String errorCode)

  Constructs a `MessageNotWriteableException` with the specified reason and error code.
  Parameters:
    `reason` - a description of the exception
    `errorCode` - a string specifying the vendor-specific error code

### MessageNotWriteableException

    public MessageNotWriteableException(java.lang.String reason)

  Constructs a `MessageNotWriteableException` with the specified reason. The error code defaults to null.
  Parameters:
    `reason` - a description of the exception

Package | Class | Tree | Deprecated | Index | Help
| JMS 1.1 - April 12, 2002
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JMS 1.1 - April 12, 2002